﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace myCollection
{
    public class Location
    {
        private Guid index;
        private string city;
        private string country;

        public Location()
        {
        }

        public Location(string gcity, string gcountry) : this(Guid.NewGuid(), gcity, gcountry)
        {
            City = gcity;
            Country = gcountry;
        }

        public Location(Guid gindex, string gcity, string gcountry)
        {
            Index = gindex;
            City = gcity;
            Country = gcountry;
        }

        public Guid Index
        {
            get { return this.index; }
            set { this.index = value; }
        }

        public string City
        {
            get { return this.city; }
            set { this.city = value; }
        }

        public string Country
        {
            get { return this.country; }
            set { this.country = value; }
        }
    }
}
