﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace myCollection
{
    public class Person
    {
        private string firstName;
        private string lastName;
        private int age;
        private Guid index;
        private Guid currentLocation;

        public Person()
        { }

        public Person(string fName, string lName, int age1)
            : this(Guid.NewGuid(), fName, lName, new Guid("3F2504E0-4F89-11D3-9A0C-000000000000"), age1)
        { }

        public Person(string fName, string lName, Guid cLocation, int age1)
            : this(Guid.NewGuid(), fName, lName, cLocation, age1)
        { }

        public Person(Guid pIndex, string fName, string lName, Guid cLocation, int personAge)
        {
            FirstName = fName;
            LastName = lName;
            Age = personAge;
            Index = pIndex;
            currentLocation = cLocation;
        }

        public Guid Index
        {
            get { return index; }
            set { index = value; }
        }

        public Guid CurrentLocation
        {
            get { return currentLocation; }
            set { currentLocation = value; }
        }

        public string FirstName
        {
            get { return firstName; }
            set { firstName = value; }
        }

        public string LastName
        {
            get { return lastName; }
            set { lastName = value; }
        }

        public int Age
        {
            get { return age; }
            set { age = value; }
        }
    }
}
